Bug 108440 - XFree86 doesn't turn off LCD backlight on laptops with radeon.
XFree86 doesn't turn off LCD backlight on laptops with radeon.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-29 11:05 EST by Andrew Novikov
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 10:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix the bug. (2.34 KB, patch)
2003-10-29 11:09 EST, Andrew Novikov
no flags Details | Diff

  None (edit)
Description Andrew Novikov 2003-10-29 11:05:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
When XFree enters 'standby' or 'off' state it doesn't turn off the LCD backlight. This bug is fixed in the XFree86 CVS, but since Fedora core is likely to ship with XFree86 4.3.0, I've made a "packport" of the fix.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
xset dpms force off

Additional info:
Comment 1 Andrew Novikov 2003-10-29 11:09:18 EST
Created attachment 95582 [details]
A patch to fix the bug.

This simple patch fixes the problem.
Comment 2 Mike A. Harris 2003-10-29 11:49:20 EST
You're correct that Fedora Core will ship 4.3.0.

However, this is not a bug in 4.3.0, but rather a lack of a feature.  The
Radeon driver has never disabled the backlight before.  It is a new feature
which will be in the 4.4.0 radeon driver.  I backported some stuff from CVS
but intentionally removed this because it wasn't a bugfix nor minor change,
but rather a new driver feature, and isn't risk free.  Such a major change
needs much more beta testing in order for me to feel comfortable shipping
it in our X as a patch.

This feature will be availalbe once 4.4.0 is released.  It may eventually end
up in our 4.3.0 as well, as I'd like to completely backport the entire 4.4.0
Radeon driver to 4.3.0 some day, however that is a more longer term thing,
and wont be a priority.  I'll defer this for now, and reopen it if I get
around to backporting the driver.
Comment 3 Mike A. Harris 2005-04-20 10:15:53 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.